Manifest-Version: 1.0
Bnd-LastModified: 1750317957199
Bundle-Activator: com.liferay.portal.tika.internal.activator.TikaBundl
 eActivator
Bundle-ClassPath: .,lib/xmpcore-6.1.11.jar,lib/metadata-extractor-2.18
 .0.jar,lib/juniversalchardet-1.0.3.jar,lib/org.gagravarr.tika-0.8.LIF
 ERAY-PATCHED-1.jar,lib/org.mp4parser-1.9.41.2.LIFERAY-PATCHED-2.jar,l
 ib/java-libpst-0.8.1.jar,lib/jhighlight-1.0.jar,lib/SparseBitSet-1.2.
 jar,lib/netcdf-4.3.23.jar,lib/jna-4.1.0.jar,lib/commons-collections4-
 4.2.jar,lib/commons-exec-1.3.jar,lib/commons-lang3-3.12.0.jar,lib/com
 mons-math3-3.6.1.jar,lib/apache-mime4j-core-0.8.3.jar,lib/apache-mime
 4j-dom-0.8.3.jar,lib/poi-4.1.2.jar,lib/poi-ooxml-4.1.2.jar,lib/poi-oo
 xml-schemas-4.1.2.jar,lib/poi-scratchpad-4.1.2.jar,lib/tika-core-1.26
 .jar,lib/tika-parsers-1.26.jar,lib/xmlbeans-3.0.2.jar,lib/tagsoup-1.2
 .1.jar,lib/vorbis-java-core-0.8.jar,lib/jmatio-1.2.jar
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Portal Tika
Bundle-SymbolicName: com.liferay.portal.tika
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 1.0.14.hotfix-6698-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Eclipse-BuddyPolicy: parent
Import-Package: com.rometools.rome.feed.synd,com.rometools.rome.io,org
 .apache.commons.compress,org.apache.commons.compress.archivers,org.ap
 ache.commons.compress.archivers.ar,org.apache.commons.compress.archiv
 ers.cpio,org.apache.commons.compress.archivers.dump,org.apache.common
 s.compress.archivers.jar,org.apache.commons.compress.archivers.sevenz
 ,org.apache.commons.compress.archivers.tar,org.apache.commons.compres
 s.archivers.zip,org.apache.commons.compress.compressors,org.apache.co
 mmons.compress.compressors.bzip2,org.apache.commons.compress.compress
 ors.deflate,org.apache.commons.compress.compressors.gzip,org.apache.c
 ommons.compress.compressors.lzma,org.apache.commons.compress.compress
 ors.pack200,org.apache.commons.compress.compressors.snappy,org.apache
 .commons.compress.compressors.xz,org.apache.commons.compress.compress
 ors.z,org.apache.commons.compress.utils,org.apache.pdfbox.contentstre
 am,org.apache.pdfbox.cos,org.apache.pdfbox.filter,org.apache.pdfbox.i
 o,org.apache.pdfbox.pdfparser,org.apache.pdfbox.pdmodel,org.apache.pd
 fbox.pdmodel.common,org.apache.pdfbox.pdmodel.common.filespecificatio
 n,org.apache.pdfbox.pdmodel.documentinterchange.logicalstructure,org.
 apache.pdfbox.pdmodel.documentinterchange.markedcontent,org.apache.pd
 fbox.pdmodel.encryption,org.apache.pdfbox.pdmodel.fixup,org.apache.pd
 fbox.pdmodel.fixup.processor,org.apache.pdfbox.pdmodel.font,org.apach
 e.pdfbox.pdmodel.graphics.color,org.apache.pdfbox.pdmodel.graphics.fo
 rm,org.apache.pdfbox.pdmodel.graphics.image,org.apache.pdfbox.pdmodel
 .graphics.pattern,org.apache.pdfbox.pdmodel.graphics.state,org.apache
 .pdfbox.pdmodel.interactive.action,org.apache.pdfbox.pdmodel.interact
 ive.annotation,org.apache.pdfbox.pdmodel.interactive.digitalsignature
 ,org.apache.pdfbox.pdmodel.interactive.documentnavigation.outline,org
 .apache.pdfbox.pdmodel.interactive.form,org.apache.pdfbox.rendering,o
 rg.apache.pdfbox.text,org.apache.pdfbox.util,org.jdom2,org.jdom2.inpu
 t,org.jdom2.output,com.dd.plist;resolution:=optional,com.epam.parso;r
 esolution:=optional,com.epam.parso.impl;resolution:=optional,com.gith
 ub.junrar;resolution:=optional,com.github.junrar.exception;resolution
 :=optional,com.github.junrar.rarfile;resolution:=optional,com.github.
 openjson;resolution:=optional,com.google.common.collect;resolution:=o
 ptional,com.google.common.reflect;resolution:=optional,com.google.gso
 n;resolution:=optional,com.google.protobuf;resolution:=optional,com.g
 raphbuilder.curve;resolution:=optional,com.graphbuilder.geom;resoluti
 on:=optional,com.healthmarketscience.jackcess;resolution:=optional,co
 m.healthmarketscience.jackcess.crypt;resolution:=optional,com.healthm
 arketscience.jackcess.impl;resolution:=optional,com.healthmarketscien
 ce.jackcess.query;resolution:=optional,com.healthmarketscience.jackce
 ss.util;resolution:=optional,com.liferay.dynamic.data.mapping.kernel;
 resolution:=optional;version="3.0",com.liferay.petra.concurrent;resol
 ution:=optional;version="2.0",com.liferay.petra.io;resolution:=option
 al;version="1.3",com.liferay.petra.io.unsync;resolution:=optional;ver
 sion="1.0",com.liferay.petra.process;resolution:=optional;version="1.
 1",com.liferay.petra.string;resolution:=optional;version="1.7",com.li
 feray.portal.kernel.exception;resolution:=optional;version="12.3",com
 .liferay.portal.kernel.log;resolution:=optional;version="7.1",com.lif
 eray.portal.kernel.metadata;resolution:=optional;version="9.0",com.li
 feray.portal.kernel.security.xml;resolution:=optional;version="2.0",c
 om.liferay.portal.kernel.util;resolution:=optional;version="45.0",com
 .liferay.portal.util;resolution:=optional;version="36.0",com.microsof
 t.schemas.office.powerpoint;resolution:=optional,com.microsoft.schema
 s.office.word;resolution:=optional,com.sleepycat.je;resolution:=optio
 nal,com.sun.javadoc;resolution:=optional,com.sun.tools.javadoc;resolu
 tion:=optional,de.l3s.boilerpipe;resolution:=optional,de.l3s.boilerpi
 pe.document;resolution:=optional,de.l3s.boilerpipe.extractors;resolut
 ion:=optional,de.l3s.boilerpipe.sax;resolution:=optional,javax.crypto
 ;resolution:=optional,javax.crypto.spec;resolution:=optional,javax.im
 ageio;resolution:=optional,javax.imageio.metadata;resolution:=optiona
 l,javax.imageio.stream;resolution:=optional,javax.net.ssl;resolution:
 =optional,javax.security.auth.x500;resolution:=optional,javax.servlet
 ;resolution:=optional,javax.servlet.http;resolution:=optional,javax.s
 ound.midi;resolution:=optional,javax.sound.sampled;resolution:=option
 al,javax.sql.rowset.serial;resolution:=optional,javax.swing;resolutio
 n:=optional,javax.swing.text;resolution:=optional,javax.swing.text.ht
 ml;resolution:=optional,javax.ws.rs.core;resolution:=optional,javax.x
 ml.bind;resolution:=optional,javax.xml.bind.annotation;resolution:=op
 tional,javax.xml.bind.annotation.adapters;resolution:=optional,javax.
 xml.crypto;resolution:=optional,javax.xml.crypto.dom;resolution:=opti
 onal,javax.xml.crypto.dsig;resolution:=optional,javax.xml.crypto.dsig
 .dom;resolution:=optional,javax.xml.crypto.dsig.keyinfo;resolution:=o
 ptional,javax.xml.crypto.dsig.spec;resolution:=optional,javax.xml.dat
 atype;resolution:=optional,javax.xml.namespace;resolution:=optional,j
 avax.xml.parsers;resolution:=optional,javax.xml.stream;resolution:=op
 tional,javax.xml.stream.events;resolution:=optional,javax.xml.stream.
 util;resolution:=optional,javax.xml.transform;resolution:=optional,ja
 vax.xml.transform.dom;resolution:=optional,javax.xml.transform.sax;re
 solution:=optional,javax.xml.transform.stream;resolution:=optional,ja
 vax.xml.validation;resolution:=optional,javax.xml.xpath;resolution:=o
 ptional,net.jcip.annotations;resolution:=optional,net.sf.ehcache;reso
 lution:=optional,opennlp.tools.namefind;resolution:=optional,opennlp.
 tools.sentiment;resolution:=optional,opennlp.tools.util;resolution:=o
 ptional,org.apache.batik.anim.dom;resolution:=optional,org.apache.bat
 ik.bridge;resolution:=optional,org.apache.batik.ext.awt;resolution:=o
 ptional,org.apache.batik.ext.awt.image.renderable;resolution:=optiona
 l,org.apache.batik.gvt;resolution:=optional,org.apache.batik.util;res
 olution:=optional,org.apache.commons.codec;resolution:=optional,org.a
 pache.commons.codec.binary;resolution:=optional,org.apache.commons.co
 dec.digest;resolution:=optional,org.apache.commons.csv;resolution:=op
 tional,org.apache.commons.httpclient;resolution:=optional,org.apache.
 commons.httpclient.auth;resolution:=optional,org.apache.commons.httpc
 lient.methods;resolution:=optional,org.apache.commons.httpclient.meth
 ods.multipart;resolution:=optional,org.apache.commons.httpclient.para
 ms;resolution:=optional,org.apache.commons.httpclient.protocol;resolu
 tion:=optional,org.apache.commons.httpclient.util;resolution:=optiona
 l,org.apache.commons.io;resolution:=optional,org.apache.commons.io.in
 put;resolution:=optional,org.apache.commons.io.output;resolution:=opt
 ional,org.apache.commons.logging;resolution:=optional,org.apache.ctak
 es.typesystem.type.refsem;resolution:=optional,org.apache.ctakes.type
 system.type.textsem;resolution:=optional,org.apache.cxf.jaxrs.client;
 resolution:=optional,org.apache.cxf.jaxrs.ext.multipart;resolution:=o
 ptional,org.apache.fontbox.afm;resolution:=optional,org.apache.fontbo
 x.ttf;resolution:=optional,org.apache.http;resolution:=optional,org.a
 pache.http.client;resolution:=optional,org.apache.http.client.methods
 ;resolution:=optional,org.apache.http.client.utils;resolution:=option
 al,org.apache.http.entity;resolution:=optional,org.apache.http.impl.c
 lient;resolution:=optional,org.apache.jcp.xml.dsig.internal.dom;resol
 ution:=optional,org.apache.jempbox.xmp;resolution:=optional,org.apach
 e.jempbox.xmp.pdfa;resolution:=optional,org.apache.sis.internal.util;
 resolution:=optional,org.apache.sis.metadata.iso;resolution:=optional
 ,org.apache.sis.metadata.iso.constraint;resolution:=optional,org.apac
 he.sis.metadata.iso.extent;resolution:=optional,org.apache.sis.metada
 ta.iso.identification;resolution:=optional,org.apache.sis.storage;res
 olution:=optional,org.apache.sis.util.collection;resolution:=optional
 ,org.apache.tools.ant;resolution:=optional,org.apache.tools.ant.taskd
 efs;resolution:=optional,org.apache.tools.ant.types;resolution:=optio
 nal,org.apache.uima;resolution:=optional,org.apache.uima.analysis_eng
 ine;resolution:=optional,org.apache.uima.cas;resolution:=optional,org
 .apache.uima.cas.impl;resolution:=optional,org.apache.uima.fit.util;r
 esolution:=optional,org.apache.uima.jcas;resolution:=optional,org.apa
 che.uima.jcas.cas;resolution:=optional,org.apache.uima.resource;resol
 ution:=optional,org.apache.uima.util;resolution:=optional,org.apache.
 xml.security;resolution:=optional,org.apache.xml.security.c14n;resolu
 tion:=optional,org.apache.xml.security.signature;resolution:=optional
 ,org.apache.xml.security.utils;resolution:=optional,org.apache.xmpbox
 ;resolution:=optional,org.apache.xmpbox.schema;resolution:=optional,o
 rg.apache.xmpbox.xml;resolution:=optional,org.bouncycastle.asn1;resol
 ution:=optional,org.bouncycastle.asn1.cmp;resolution:=optional,org.bo
 uncycastle.asn1.cryptopro;resolution:=optional,org.bouncycastle.asn1.
 nist;resolution:=optional,org.bouncycastle.asn1.ocsp;resolution:=opti
 onal,org.bouncycastle.asn1.oiw;resolution:=optional,org.bouncycastle.
 asn1.pkcs;resolution:=optional,org.bouncycastle.asn1.teletrust;resolu
 tion:=optional,org.bouncycastle.asn1.x500;resolution:=optional,org.bo
 uncycastle.asn1.x509;resolution:=optional,org.bouncycastle.asn1.x9;re
 solution:=optional,org.bouncycastle.cert;resolution:=optional,org.bou
 ncycastle.cert.jcajce;resolution:=optional,org.bouncycastle.cert.ocsp
 ;resolution:=optional,org.bouncycastle.cms;resolution:=optional,org.b
 ouncycastle.cms.bc;resolution:=optional,org.bouncycastle.jce.provider
 ;resolution:=optional,org.bouncycastle.operator;resolution:=optional,
 org.bouncycastle.operator.bc;resolution:=optional,org.bouncycastle.op
 erator.jcajce;resolution:=optional,org.bouncycastle.tsp;resolution:=o
 ptional,org.bouncycastle.tsp.cms;resolution:=optional,org.bouncycastl
 e.util;resolution:=optional,org.bouncycastle.util.encoders;resolution
 :=optional,org.etsi.uri.x01903.v14;resolution:=optional,org.ietf.jgss
 ;resolution:=optional,org.joda.time;resolution:=optional,org.joda.tim
 e.chrono;resolution:=optional,org.joda.time.field;resolution:=optiona
 l,org.joda.time.format;resolution:=optional,org.json.simple;resolutio
 n:=optional,org.json.simple.parser;resolution:=optional,org.objectweb
 .asm;resolution:=optional,org.opengis.metadata;resolution:=optional,o
 rg.opengis.metadata.citation;resolution:=optional,org.opengis.metadat
 a.constraint;resolution:=optional,org.opengis.metadata.distribution;r
 esolution:=optional,org.opengis.metadata.extent;resolution:=optional,
 org.opengis.metadata.identification;resolution:=optional,org.opengis.
 metadata.maintenance;resolution:=optional,org.opengis.util;resolution
 :=optional,org.openxmlformats.schemas.officeDocument.x2006.math;resol
 ution:=optional,org.openxmlformats.schemas.schemaLibrary.x2006.main;r
 esolution:=optional,org.osgi.framework;resolution:=optional;version="
 1.8",org.osgi.util.tracker;resolution:=optional;version="1.5",org.qua
 rtz;resolution:=optional,org.quartz.impl;resolution:=optional,org.slf
 4j;resolution:=optional,org.sqlite;resolution:=optional,org.w3c.dom;r
 esolution:=optional,org.w3c.dom.events;resolution:=optional,org.xml.s
 ax;resolution:=optional,org.xml.sax.ext;resolution:=optional,org.xml.
 sax.helpers;resolution:=optional,sun.misc;resolution:=optional,ucar.u
 nits;resolution:=optional
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Portal
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Utility
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: foundation
Liferay-Releng-Suite-Description: Apps and Features: System Settings, 
 Web Content Editors, Web Content Template Languages, Theme Tools, Mob
 ile Device Rules, Facebook Authentication, LDAP Authentication, OpenI
 D Authentication, OpenSSO Authentication, Remote Authentication (Auth
 Verifiers), SSO-based Authentication, Token-based Authentication, Por
 tal Scripting, Elasticsearch Support, Solr Support, Documents and Med
 ia Store Implementations, and more.<br /><br />The Foundation suite p
 rovides applications and features that extend the functionality provi
 ded by Liferay's core. Much of the functionality that belonged to Lif
 eray's core prior to Liferay 7 has been extracted into the modules of
  the Foundation suite. The authentication modules provide a variety o
 f mechanisms for allowing users and remote applications to authentica
 te to Liferay. The LDAP Authentication module allows administrators t
 o establish connections to one or more LDAP directories from which us
 ers can be imported or exported. The SSO modules allow users to authe
 nticate to Liferay using a variety of single-sign on solutions. The T
 oken-based Authentication module allows users or remote applications 
 to authenticate to Liferay without a password. The Scripting module a
 llows scripts to be written in Groovy to invoke Liferay's API.<br /><
 br />This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Foundation
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.portal.tika.internal.activator,com.lifera
 y.portal.tika.internal.extract,com.liferay.portal.tika.internal.metad
 ata,com.liferay.portal.tika.internal.mime,com.liferay.portal.tika.int
 ernal.mime.dependencies,com.liferay.portal.tika.internal.util,com.lif
 eray.portal.tika.internal.util.dependencies,lib,com.adobe.internal.xm
 p,com.adobe.internal.xmp.impl,com.adobe.internal.xmp.impl.xpath,com.a
 dobe.internal.xmp.options,com.adobe.internal.xmp.properties,com.adobe
 .internal.xmp.utils,com.drew.imaging,com.drew.imaging.avi,com.drew.im
 aging.bmp,com.drew.imaging.eps,com.drew.imaging.gif,com.drew.imaging.
 heif,com.drew.imaging.ico,com.drew.imaging.jpeg,com.drew.imaging.mp3,
 com.drew.imaging.mp4,com.drew.imaging.pcx,com.drew.imaging.png,com.dr
 ew.imaging.psd,com.drew.imaging.quicktime,com.drew.imaging.raf,com.dr
 ew.imaging.riff,com.drew.imaging.tiff,com.drew.imaging.wav,com.drew.i
 maging.webp,com.drew.lang,com.drew.lang.annotations,com.drew.metadata
 ,com.drew.metadata.adobe,com.drew.metadata.apple,com.drew.metadata.av
 i,com.drew.metadata.bmp,com.drew.metadata.eps,com.drew.metadata.exif,
 com.drew.metadata.exif.makernotes,com.drew.metadata.file,com.drew.met
 adata.gif,com.drew.metadata.heif,com.drew.metadata.heif.boxes,com.dre
 w.metadata.icc,com.drew.metadata.ico,com.drew.metadata.iptc,com.drew.
 metadata.jfif,com.drew.metadata.jfxx,com.drew.metadata.jpeg,com.drew.
 metadata.mov,com.drew.metadata.mov.atoms,com.drew.metadata.mov.atoms.
 canon,com.drew.metadata.mov.media,com.drew.metadata.mov.metadata,com.
 drew.metadata.mp3,com.drew.metadata.mp4,com.drew.metadata.mp4.media,c
 om.drew.metadata.pcx,com.drew.metadata.photoshop,com.drew.metadata.pl
 ist,com.drew.metadata.png,com.drew.metadata.tiff,com.drew.metadata.wa
 v,com.drew.metadata.webp,com.drew.metadata.xmp,com.drew.tools,org.moz
 illa.universalchardet,org.mozilla.universalchardet.prober,org.mozilla
 .universalchardet.prober.contextanalysis,org.mozilla.universalchardet
 .prober.distributionanalysis,org.mozilla.universalchardet.prober.sequ
 ence,org.mozilla.universalchardet.prober.statemachine,org.gagravarr.t
 ika,org.mp4parser,org.mp4parser.aj.internal.lang.annotation,org.mp4pa
 rser.aj.internal.lang.reflect,org.mp4parser.aj.lang,org.mp4parser.aj.
 lang.annotation,org.mp4parser.aj.lang.annotation.control,org.mp4parse
 r.aj.lang.internal.lang,org.mp4parser.aj.lang.reflect,org.mp4parser.a
 j.runtime,org.mp4parser.aj.runtime.internal,org.mp4parser.aj.runtime.
 internal.cflowstack,org.mp4parser.aj.runtime.reflect,org.mp4parser.bo
 xes,org.mp4parser.boxes.adobe,org.mp4parser.boxes.apple,org.mp4parser
 .boxes.dece,org.mp4parser.boxes.dolby,org.mp4parser.boxes.iso14496.pa
 rt1.objectdescriptors,org.mp4parser.boxes.iso14496.part12,org.mp4pars
 er.boxes.iso14496.part14,org.mp4parser.boxes.iso14496.part15,org.mp4p
 arser.boxes.iso14496.part30,org.mp4parser.boxes.iso23001.part7,org.mp
 4parser.boxes.iso23009.part1,org.mp4parser.boxes.microsoft,org.mp4par
 ser.boxes.microsoft.contentprotection,org.mp4parser.boxes.oma,org.mp4
 parser.boxes.sampleentry,org.mp4parser.boxes.samplegrouping,org.mp4pa
 rser.boxes.threegpp.ts26244,org.mp4parser.boxes.threegpp.ts26245,org.
 mp4parser.support,org.mp4parser.tools,com.pff,com.uwyn.jhighlight,com
 .uwyn.jhighlight.highlighter,com.uwyn.jhighlight.pcj,com.uwyn.jhighli
 ght.pcj.hash,com.uwyn.jhighlight.pcj.map,com.uwyn.jhighlight.pcj.set,
 com.uwyn.jhighlight.pcj.util,com.uwyn.jhighlight.renderer,com.uwyn.jh
 ighlight.servlet,com.uwyn.jhighlight.tools,com.uwyn.jhighlight.tools.
 exceptions,com.zaxxer.sparsebits,com.sun.jna,resources.nj22.coords,re
 sources.nj22.iosp,resources.nj22.pointConfig,resources.nj22.schemas,r
 esources.nj22.tables.gempak,resources.nj22.tables,resources.thredds,r
 esources.thredds.dl,resources.thredds.schemas,resources.wmo,thredds.c
 atalog,thredds.catalog.crawl,thredds.catalog.dl,thredds.catalog.parse
 r.jdom,thredds.catalog.query,thredds.catalog.util,thredds.catalog2,th
 redds.catalog2.builder,thredds.catalog2.builder.util,thredds.catalog2
 .simpleImpl,thredds.catalog2.util,thredds.catalog2.xml.names,thredds.
 catalog2.xml.parser,thredds.catalog2.xml.parser.stax,thredds.catalog2
 .xml.writer,thredds.catalog2.xml.writer.stax,thredds.cataloggen,thred
 ds.cataloggen.catalogrefexpander,thredds.cataloggen.config,thredds.ca
 taloggen.datasetenhancer,thredds.cataloggen.inserter,thredds.crawlabl
 edataset,thredds.crawlabledataset.filter,thredds.crawlabledataset.sor
 ter,thredds.featurecollection,thredds.filesystem,thredds.inventory,th
 redds.inventory.bdb,thredds.inventory.filter,thredds.logs,thredds.uti
 l,thredds.wcs,thredds.wcs.v1_0_0_1,thredds.wcs.v1_0_0_Plus,thredds.wc
 s.v1_1_0,ucar.atd.dorade,ucar.ma2,ucar.nc2,ucar.nc2.constants,ucar.nc
 2.dataset,ucar.nc2.dataset.conv,ucar.nc2.dataset.transform,ucar.nc2.d
 t,ucar.nc2.dt.fmr,ucar.nc2.dt.fmrc,ucar.nc2.dt.grid,ucar.nc2.dt.grid.
 gis,ucar.nc2.dt.image,ucar.nc2.dt.point,ucar.nc2.dt.point.decode,ucar
 .nc2.dt.radial,ucar.nc2.dt.trajectory,ucar.nc2.ft,ucar.nc2.ft.coordsy
 s,ucar.nc2.ft.fmrc,ucar.nc2.ft.grid,ucar.nc2.ft.grid.impl,ucar.nc2.ft
 .point,ucar.nc2.ft.point.collection,ucar.nc2.ft.point.remote,ucar.nc2
 .ft.point.standard,ucar.nc2.ft.point.standard.plug,ucar.nc2.ft.point.
 writer,ucar.nc2.ft.radial,ucar.nc2.ft.scan,ucar.nc2.ft.swath,ucar.nc2
 .ft2,ucar.nc2.geotiff,ucar.nc2.iosp,ucar.nc2.iosp.cinrad,ucar.nc2.ios
 p.dmsp,ucar.nc2.iosp.dorade,ucar.nc2.iosp.fysat,ucar.nc2.iosp.fysat.u
 til,ucar.nc2.iosp.gini,ucar.nc2.iosp.grads,ucar.nc2.iosp.grid,ucar.nc
 2.iosp.hdf4,ucar.nc2.iosp.hdf5,ucar.nc2.iosp.misc,ucar.nc2.iosp.netcd
 f3,ucar.nc2.iosp.netcdf4,ucar.nc2.iosp.nexrad2,ucar.nc2.iosp.nids,uca
 r.nc2.iosp.noaa,ucar.nc2.iosp.nowrad,ucar.nc2.iosp.shapefile,ucar.nc2
 .iosp.sigmet,ucar.nc2.iosp.uamiv,ucar.nc2.iosp.uf,ucar.nc2.jni.netcdf
 ,ucar.nc2.ncml,ucar.nc2.rewrite,ucar.nc2.stream,ucar.nc2.thredds,ucar
 .nc2.time,ucar.nc2.units,ucar.nc2.util,ucar.nc2.util.cache,ucar.nc2.u
 til.log,ucar.nc2.util.net,ucar.nc2.util.rc,ucar.nc2.util.xml,ucar.nc2
 .wmo,ucar.unidata.geoloc,ucar.unidata.geoloc.ogc,ucar.unidata.geoloc.
 projection,ucar.unidata.geoloc.projection.proj4,ucar.unidata.geoloc.p
 rojection.sat,ucar.unidata.geoloc.vertical,ucar.unidata.io,ucar.unida
 ta.io.bzip2,ucar.unidata.io.http,ucar.unidata.util,ucar.util.prefs,uk
 .ac.rdg.resc.edal.time,com.sun.jna.darwin,com.sun.jna.freebsd-x86-64,
 com.sun.jna.freebsd-x86,com.sun.jna.linux-arm,com.sun.jna.linux-x86-6
 4,com.sun.jna.linux-x86,com.sun.jna.openbsd-x86-64,com.sun.jna.openbs
 d-x86,com.sun.jna.ptr,com.sun.jna.sunos-sparc,com.sun.jna.sunos-sparc
 v9,com.sun.jna.sunos-x86-64,com.sun.jna.sunos-x86,com.sun.jna.w32ce-a
 rm,com.sun.jna.win32-x86-64,com.sun.jna.win32-x86,com.sun.jna.win32,o
 rg.apache.commons.collections4,org.apache.commons.collections4.bag,or
 g.apache.commons.collections4.bidimap,org.apache.commons.collections4
 .collection,org.apache.commons.collections4.comparators,org.apache.co
 mmons.collections4.functors,org.apache.commons.collections4.iterators
 ,org.apache.commons.collections4.keyvalue,org.apache.commons.collecti
 ons4.list,org.apache.commons.collections4.map,org.apache.commons.coll
 ections4.multimap,org.apache.commons.collections4.multiset,org.apache
 .commons.collections4.properties,org.apache.commons.collections4.queu
 e,org.apache.commons.collections4.sequence,org.apache.commons.collect
 ions4.set,org.apache.commons.collections4.splitmap,org.apache.commons
 .collections4.trie,org.apache.commons.collections4.trie.analyzer,org.
 apache.commons.exec,org.apache.commons.exec.environment,org.apache.co
 mmons.exec.launcher,org.apache.commons.exec.util,org.apache.commons.l
 ang3,org.apache.commons.lang3.arch,org.apache.commons.lang3.builder,o
 rg.apache.commons.lang3.compare,org.apache.commons.lang3.concurrent,o
 rg.apache.commons.lang3.concurrent.locks,org.apache.commons.lang3.eve
 nt,org.apache.commons.lang3.exception,org.apache.commons.lang3.functi
 on,org.apache.commons.lang3.math,org.apache.commons.lang3.mutable,org
 .apache.commons.lang3.reflect,org.apache.commons.lang3.stream,org.apa
 che.commons.lang3.text,org.apache.commons.lang3.text.translate,org.ap
 ache.commons.lang3.time,org.apache.commons.lang3.tuple,assets.org.apa
 che.commons.math3.exception.util,assets.org.apache.commons.math3.rand
 om,org.apache.commons.math3,org.apache.commons.math3.analysis,org.apa
 che.commons.math3.analysis.differentiation,org.apache.commons.math3.a
 nalysis.function,org.apache.commons.math3.analysis.integration,org.ap
 ache.commons.math3.analysis.integration.gauss,org.apache.commons.math
 3.analysis.interpolation,org.apache.commons.math3.analysis.polynomial
 s,org.apache.commons.math3.analysis.solvers,org.apache.commons.math3.
 complex,org.apache.commons.math3.dfp,org.apache.commons.math3.distrib
 ution,org.apache.commons.math3.distribution.fitting,org.apache.common
 s.math3.exception,org.apache.commons.math3.exception.util,org.apache.
 commons.math3.filter,org.apache.commons.math3.fitting,org.apache.comm
 ons.math3.fitting.leastsquares,org.apache.commons.math3.fraction,org.
 apache.commons.math3.genetics,org.apache.commons.math3.geometry,org.a
 pache.commons.math3.geometry.enclosing,org.apache.commons.math3.geome
 try.euclidean.oned,org.apache.commons.math3.geometry.euclidean.threed
 ,org.apache.commons.math3.geometry.euclidean.twod,org.apache.commons.
 math3.geometry.euclidean.twod.hull,org.apache.commons.math3.geometry.
 hull,org.apache.commons.math3.geometry.partitioning,org.apache.common
 s.math3.geometry.partitioning.utilities,org.apache.commons.math3.geom
 etry.spherical.oned,org.apache.commons.math3.geometry.spherical.twod,
 org.apache.commons.math3.linear,org.apache.commons.math3.ml.clusterin
 g,org.apache.commons.math3.ml.clustering.evaluation,org.apache.common
 s.math3.ml.distance,org.apache.commons.math3.ml.neuralnet,org.apache.
 commons.math3.ml.neuralnet.oned,org.apache.commons.math3.ml.neuralnet
 .sofm,org.apache.commons.math3.ml.neuralnet.sofm.util,org.apache.comm
 ons.math3.ml.neuralnet.twod,org.apache.commons.math3.ml.neuralnet.two
 d.util,org.apache.commons.math3.ode,org.apache.commons.math3.ode.even
 ts,org.apache.commons.math3.ode.nonstiff,org.apache.commons.math3.ode
 .sampling,org.apache.commons.math3.optim,org.apache.commons.math3.opt
 im.linear,org.apache.commons.math3.optim.nonlinear.scalar,org.apache.
 commons.math3.optim.nonlinear.scalar.gradient,org.apache.commons.math
 3.optim.nonlinear.scalar.noderiv,org.apache.commons.math3.optim.nonli
 near.vector,org.apache.commons.math3.optim.nonlinear.vector.jacobian,
 org.apache.commons.math3.optim.univariate,org.apache.commons.math3.op
 timization,org.apache.commons.math3.optimization.direct,org.apache.co
 mmons.math3.optimization.fitting,org.apache.commons.math3.optimizatio
 n.general,org.apache.commons.math3.optimization.linear,org.apache.com
 mons.math3.optimization.univariate,org.apache.commons.math3.primes,or
 g.apache.commons.math3.random,org.apache.commons.math3.special,org.ap
 ache.commons.math3.stat,org.apache.commons.math3.stat.clustering,org.
 apache.commons.math3.stat.correlation,org.apache.commons.math3.stat.d
 escriptive,org.apache.commons.math3.stat.descriptive.moment,org.apach
 e.commons.math3.stat.descriptive.rank,org.apache.commons.math3.stat.d
 escriptive.summary,org.apache.commons.math3.stat.inference,org.apache
 .commons.math3.stat.interval,org.apache.commons.math3.stat.ranking,or
 g.apache.commons.math3.stat.regression,org.apache.commons.math3.trans
 form,org.apache.commons.math3.util,org.apache.james.mime4j,org.apache
 .james.mime4j.codec,org.apache.james.mime4j.io,org.apache.james.mime4
 j.parser,org.apache.james.mime4j.stream,org.apache.james.mime4j.util,
 org.apache.james.mime4j.dom,org.apache.james.mime4j.dom.address,org.a
 pache.james.mime4j.dom.datetime,org.apache.james.mime4j.dom.field,org
 .apache.james.mime4j.field,org.apache.james.mime4j.field.address,org.
 apache.james.mime4j.field.contentdisposition.parser,org.apache.james.
 mime4j.field.contenttype.parser,org.apache.james.mime4j.field.datetim
 e.parser,org.apache.james.mime4j.field.language.parser,org.apache.jam
 es.mime4j.field.mimeversion.parser,org.apache.james.mime4j.field.stru
 ctured.parser,org.apache.james.mime4j.internal,org.apache.james.mime4
 j.message,org.apache.poi,org.apache.poi.common,org.apache.poi.common.
 usermodel,org.apache.poi.common.usermodel.fonts,org.apache.poi.ddf,or
 g.apache.poi.extractor,org.apache.poi.hpsf,org.apache.poi.hpsf.extrac
 tor,org.apache.poi.hpsf.wellknown,org.apache.poi.hssf,org.apache.poi.
 hssf.dev,org.apache.poi.hssf.eventmodel,org.apache.poi.hssf.eventuser
 model,org.apache.poi.hssf.eventusermodel.dummyrecord,org.apache.poi.h
 ssf.extractor,org.apache.poi.hssf.model,org.apache.poi.hssf.record,or
 g.apache.poi.hssf.record.aggregates,org.apache.poi.hssf.record.cf,org
 .apache.poi.hssf.record.chart,org.apache.poi.hssf.record.common,org.a
 pache.poi.hssf.record.cont,org.apache.poi.hssf.record.crypto,org.apac
 he.poi.hssf.record.pivottable,org.apache.poi.hssf.usermodel,org.apach
 e.poi.hssf.usermodel.helpers,org.apache.poi.hssf.util,org.apache.poi.
 poifs.common,org.apache.poi.poifs.crypt,org.apache.poi.poifs.crypt.bi
 naryrc4,org.apache.poi.poifs.crypt.cryptoapi,org.apache.poi.poifs.cry
 pt.standard,org.apache.poi.poifs.crypt.xor,org.apache.poi.poifs.dev,o
 rg.apache.poi.poifs.eventfilesystem,org.apache.poi.poifs.filesystem,o
 rg.apache.poi.poifs.macros,org.apache.poi.poifs.nio,org.apache.poi.po
 ifs,org.apache.poi.poifs.property,org.apache.poi.poifs.storage,org.ap
 ache.poi.sl.draw,org.apache.poi.sl.draw.binding,org.apache.poi.sl.dra
 w.geom,org.apache.poi.sl.extractor,org.apache.poi.sl.image,org.apache
 .poi.sl.usermodel,org.apache.poi.ss,org.apache.poi.ss.extractor,org.a
 pache.poi.ss.format,org.apache.poi.ss.formula,org.apache.poi.ss.formu
 la.atp,org.apache.poi.ss.formula.constant,org.apache.poi.ss.formula.e
 val,org.apache.poi.ss.formula.eval.forked,org.apache.poi.ss.formula.f
 unction,org.apache.poi.ss.formula.functions,org.apache.poi.ss.formula
 .ptg,org.apache.poi.ss.formula.udf,org.apache.poi.ss.usermodel,org.ap
 ache.poi.ss.usermodel.charts,org.apache.poi.ss.usermodel.helpers,org.
 apache.poi.ss.util,org.apache.poi.ss.util.cellwalk,org.apache.poi.uti
 l,org.apache.poi.wp.usermodel,org.apache.poi.ooxml,org.apache.poi.oox
 ml.dev,org.apache.poi.ooxml.extractor,org.apache.poi.ooxml.util,org.a
 pache.poi.openxml4j.exceptions,org.apache.poi.openxml4j.opc,org.apach
 e.poi.openxml4j.opc.internal,org.apache.poi.openxml4j.opc.internal.ma
 rshallers,org.apache.poi.openxml4j.opc.internal.unmarshallers,org.apa
 che.poi.openxml4j.util,org.apache.poi.poifs.crypt.agile,org.apache.po
 i.poifs.crypt.dsig,org.apache.poi.poifs.crypt.dsig.facets,org.apache.
 poi.poifs.crypt.dsig.services,org.apache.poi.poifs.crypt.temp,org.apa
 che.poi.xddf.usermodel,org.apache.poi.xddf.usermodel.chart,org.apache
 .poi.xddf.usermodel.text,org.apache.poi.xdgf.exceptions,org.apache.po
 i.xdgf.extractor,org.apache.poi.xdgf.geom,org.apache.poi.xdgf.usermod
 el,org.apache.poi.xdgf.usermodel.section,org.apache.poi.xdgf.usermode
 l.section.geometry,org.apache.poi.xdgf.usermodel.shape,org.apache.poi
 .xdgf.usermodel.shape.exceptions,org.apache.poi.xdgf.util,org.apache.
 poi.xdgf.xml,org.apache.poi.xslf.draw,org.apache.poi.xslf.extractor,o
 rg.apache.poi.xslf.model,org.apache.poi.xslf.usermodel,org.apache.poi
 .xslf.util,org.apache.poi.xssf,org.apache.poi.xssf.binary,org.apache.
 poi.xssf.eventusermodel,org.apache.poi.xssf.extractor,org.apache.poi.
 xssf.model,org.apache.poi.xssf.streaming,org.apache.poi.xssf.usermode
 l,org.apache.poi.xssf.usermodel.charts,org.apache.poi.xssf.usermodel.
 extensions,org.apache.poi.xssf.usermodel.helpers,org.apache.poi.xssf.
 util,org.apache.poi.xwpf.extractor,org.apache.poi.xwpf.model,org.apac
 he.poi.xwpf,org.apache.poi.xwpf.usermodel,com.microsoft.schemas.compa
 tibility,com.microsoft.schemas.compatibility.impl,com.microsoft.schem
 as.office.excel,com.microsoft.schemas.office.excel.impl,com.microsoft
 .schemas.office.office,com.microsoft.schemas.office.office.impl,com.m
 icrosoft.schemas.office.visio.x2012.main,com.microsoft.schemas.office
 .visio.x2012.main.impl,com.microsoft.schemas.office.x2006.digsig,com.
 microsoft.schemas.office.x2006.digsig.impl,com.microsoft.schemas.offi
 ce.x2006.encryption,com.microsoft.schemas.office.x2006.encryption.imp
 l,com.microsoft.schemas.office.x2006.keyEncryptor.certificate,com.mic
 rosoft.schemas.office.x2006.keyEncryptor.certificate.impl,com.microso
 ft.schemas.office.x2006.keyEncryptor.password,com.microsoft.schemas.o
 ffice.x2006.keyEncryptor.password.impl,com.microsoft.schemas.vml,com.
 microsoft.schemas.vml.impl,org.etsi.uri.x01903.v13,org.etsi.uri.x0190
 3.v13.impl,org.openxmlformats.schemas.drawingml.x2006.chart,org.openx
 mlformats.schemas.drawingml.x2006.chart.impl,org.openxmlformats.schem
 as.drawingml.x2006.main,org.openxmlformats.schemas.drawingml.x2006.ma
 in.impl,org.openxmlformats.schemas.drawingml.x2006.picture,org.openxm
 lformats.schemas.drawingml.x2006.picture.impl,org.openxmlformats.sche
 mas.drawingml.x2006.spreadsheetDrawing,org.openxmlformats.schemas.dra
 wingml.x2006.spreadsheetDrawing.impl,org.openxmlformats.schemas.drawi
 ngml.x2006.wordprocessingDrawing,org.openxmlformats.schemas.drawingml
 .x2006.wordprocessingDrawing.impl,org.openxmlformats.schemas.officeDo
 cument.x2006.customProperties,org.openxmlformats.schemas.officeDocume
 nt.x2006.customProperties.impl,org.openxmlformats.schemas.officeDocum
 ent.x2006.docPropsVTypes,org.openxmlformats.schemas.officeDocument.x2
 006.docPropsVTypes.impl,org.openxmlformats.schemas.officeDocument.x20
 06.extendedProperties,org.openxmlformats.schemas.officeDocument.x2006
 .extendedProperties.impl,org.openxmlformats.schemas.officeDocument.x2
 006.relationships,org.openxmlformats.schemas.officeDocument.x2006.rel
 ationships.impl,org.openxmlformats.schemas.presentationml.x2006.main,
 org.openxmlformats.schemas.presentationml.x2006.main.impl,org.openxml
 formats.schemas.spreadsheetml.x2006.main,org.openxmlformats.schemas.s
 preadsheetml.x2006.main.impl,org.openxmlformats.schemas.wordprocessin
 gml.x2006.main,org.openxmlformats.schemas.wordprocessingml.x2006.main
 .impl,org.openxmlformats.schemas.xpackage.x2006.digitalSignature,org.
 openxmlformats.schemas.xpackage.x2006.digitalSignature.impl,org.w3.x2
 000.x09.xmldsig,org.w3.x2000.x09.xmldsig.impl,schemaorg_apache_xmlbea
 ns.element.URI_SHA_1_11253F446F282FE256207B76A3DF3FD56B37BA8C,schemao
 rg_apache_xmlbeans.element.URI_SHA_1_19646AEC388215C989FB75EDE3F402FF
 063BA490,schemaorg_apache_xmlbeans.element.URI_SHA_1_21AE783112172434
 93C959E7BC6804B99F72443F,schemaorg_apache_xmlbeans.element.URI_SHA_1_
 21E55976FC744A04B45A6F07A2B808D12BB559D1,schemaorg_apache_xmlbeans.el
 ement.URI_SHA_1_3F1B39D59FC2E95968148B4F8EDE62CCC507A6FC,schemaorg_ap
 ache_xmlbeans.element.URI_SHA_1_49495484AA854302D08892401F85FCED20A7B
 D90,schemaorg_apache_xmlbeans.element.URI_SHA_1_525852A6309B3D2A27787
 B1A7C2D04619A20B7F1,schemaorg_apache_xmlbeans.element.URI_SHA_1_557A6
 E26821E70DDDD5059B7A94657AA9AA6F8ED,schemaorg_apache_xmlbeans.element
 .URI_SHA_1_58B179B77080FCA9ECD7715B929FA131600E2D0E,schemaorg_apache_
 xmlbeans.element.URI_SHA_1_5B75918D653159618FFFD6D486A4E307FB5C542B,s
 chemaorg_apache_xmlbeans.element.URI_SHA_1_5EFC25B18958CA665491F7BD74
 832D9A9691CCBF,schemaorg_apache_xmlbeans.element.URI_SHA_1_6081D3567B
 633D0102A6082D6958CC7332114C3B,schemaorg_apache_xmlbeans.element.URI_
 SHA_1_640FACC0F3ED2458258952465E2A4DCFAE01C1D6,schemaorg_apache_xmlbe
 ans.element.URI_SHA_1_684A05BC682D945E123E8592D8AFCAE5025794C2,schema
 org_apache_xmlbeans.element.URI_SHA_1_A656D4FABFC941ADEAF5235B5CDDA6E
 6C3B2F2CB,schemaorg_apache_xmlbeans.element.URI_SHA_1_A65E132ACCC7510
 C15EA9D978615CA3EC85609F6,schemaorg_apache_xmlbeans.element.URI_SHA_1
 _A7F231EDC4AB602A5564B2DCCDEB3A9DBF76840A,schemaorg_apache_xmlbeans.e
 lement.URI_SHA_1_B1DE9718F9D20DF6F07682D1D4E3EDC19321D557,schemaorg_a
 pache_xmlbeans.element.URI_SHA_1_BFB0A44ADD30508EE7AAA5C69B773ABF89BE
 5D2D,schemaorg_apache_xmlbeans.element.URI_SHA_1_C9C005F673B171B8BFB7
 F8303112C92FC2C8B7AA,schemaorg_apache_xmlbeans.element.URI_SHA_1_D0E3
 914A078773AB474224AE0AE04D6EEAC77A8F,schemaorg_apache_xmlbeans.elemen
 t.URI_SHA_1_E30B7F4270955C4B3E6FC9EF2EBAF7F61AF3AFEC,schemaorg_apache
 _xmlbeans.element.URI_SHA_1_E70A070947C9F7A694110D1EC51C3EDAD95AEC59,
 schemaorg_apache_xmlbeans.element.URI_SHA_1_E87E5132FB5D3870B01207FBD
 5255E29C6C66759,schemaorg_apache_xmlbeans.element.URI_SHA_1_F21916F78
 0C9134594597370F6699CF6386D205F,schemaorg_apache_xmlbeans.element.URI
 _SHA_1_F68026A8DDD62B229CC03D90FA6AE0A61C96D7BE,schemaorg_apache_xmlb
 eans.element.http_3A_2F_2Fschemas_2Emicrosoft_2Ecom_2Foffice_2F2006_2
 Fdigsig,schemaorg_apache_xmlbeans.element.http_3A_2F_2Furi_2Eetsi_2Eo
 rg_2F01903_2Fv1_2E3_2E2_23,schemaorg_apache_xmlbeans.element.http_3A_
 2F_2Furi_2Eetsi_2Eorg_2F01903_2Fv1_2E4_2E1_23,schemaorg_apache_xmlbea
 ns.element.http_3A_2F_2Fwww_2Ew3_2Eorg_2F2000_2F09_2Fxmldsig_23,schem
 aorg_apache_xmlbeans.element.urn_3Aschemas_2Dmicrosoft_2Dcom_3Aoffice
 _3Aexcel,schemaorg_apache_xmlbeans.element.urn_3Aschemas_2Dmicrosoft_
 2Dcom_3Aoffice_3Aoffice,schemaorg_apache_xmlbeans.element.urn_3Aschem
 as_2Dmicrosoft_2Dcom_3Aoffice_3Apowerpoint,schemaorg_apache_xmlbeans.
 element.urn_3Aschemas_2Dmicrosoft_2Dcom_3Aoffice_3Aword,schemaorg_apa
 che_xmlbeans.element.urn_3Aschemas_2Dmicrosoft_2Dcom_3Avml,schemaorg_
 apache_xmlbeans.system.s8C3F193EE11A2F798ACF65489B9E6078,schemaorg_ap
 ache_xmlbeans.system.sD023D6490046BA0250A839A9AD24C443,org.apache.poi
 .extractor.ole2,org.apache.poi.hdgf,org.apache.poi.hdgf.chunks,org.ap
 ache.poi.hdgf.dev,org.apache.poi.hdgf.exceptions,org.apache.poi.hdgf.
 extractor,org.apache.poi.hdgf.pointers,org.apache.poi.hdgf.streams,or
 g.apache.poi.hemf.draw,org.apache.poi.hemf.record.emf,org.apache.poi.
 hemf.record.emfplus,org.apache.poi.hemf.usermodel,org.apache.poi.hmef
 ,org.apache.poi.hmef.attribute,org.apache.poi.hmef.dev,org.apache.poi
 .hmef.extractor,org.apache.poi.hpbf,org.apache.poi.hpbf.dev,org.apach
 e.poi.hpbf.extractor,org.apache.poi.hpbf.model,org.apache.poi.hpbf.mo
 del.qcbits,org.apache.poi.hslf.blip,org.apache.poi.hslf.data,org.apac
 he.poi.hslf.dev,org.apache.poi.hslf.exceptions,org.apache.poi.hslf.ex
 tractor,org.apache.poi.hslf.model,org.apache.poi.hslf.model.textprope
 rties,org.apache.poi.hslf.record,org.apache.poi.hslf.usermodel,org.ap
 ache.poi.hslf.util,org.apache.poi.hsmf,org.apache.poi.hsmf.datatypes,
 org.apache.poi.hsmf.dev,org.apache.poi.hsmf.exceptions,org.apache.poi
 .hsmf.extractor,org.apache.poi.hsmf.parsers,org.apache.poi.hssf.conve
 rter,org.apache.poi.hwmf.draw,org.apache.poi.hwmf.record,org.apache.p
 oi.hwmf.usermodel,org.apache.poi.hwpf,org.apache.poi.hwpf.converter,o
 rg.apache.poi.hwpf.dev,org.apache.poi.hwpf.extractor,org.apache.poi.h
 wpf.model,org.apache.poi.hwpf.model.io,org.apache.poi.hwpf.model.type
 s,org.apache.poi.hwpf.sprm,org.apache.poi.hwpf.usermodel,org.apache.t
 ika,org.apache.tika.concurrent,org.apache.tika.config,org.apache.tika
 .detect,org.apache.tika.embedder,org.apache.tika.exception,org.apache
 .tika.extractor,org.apache.tika.fork,org.apache.tika.io,org.apache.ti
 ka.language,org.apache.tika.language.detect,org.apache.tika.language.
 translate,org.apache.tika.metadata,org.apache.tika.metadata.filter,or
 g.apache.tika.mime,org.apache.tika.parser,org.apache.tika.parser.dige
 st,org.apache.tika.parser.external,org.apache.tika.sax,org.apache.tik
 a.sax.xpath,org.apache.tika.utils,org.apache.tika.parser.apple,org.ap
 ache.tika.parser.asm,org.apache.tika.parser.audio,org.apache.tika.par
 ser.captioning,org.apache.tika.parser.captioning.tf,org.apache.tika.p
 arser.chm,org.apache.tika.parser.chm.accessor,org.apache.tika.parser.
 chm.assertion,org.apache.tika.parser.chm.core,org.apache.tika.parser.
 chm.exception,org.apache.tika.parser.chm.lzx,org.apache.tika.parser.c
 ode,org.apache.tika.parser.crypto,org.apache.tika.parser.csv,org.apac
 he.tika.parser.ctakes,org.apache.tika.parser.dbf,org.apache.tika.pars
 er.dif,org.apache.tika.parser.dwg,org.apache.tika.parser.envi,org.apa
 che.tika.parser.epub,org.apache.tika.parser.executable,org.apache.tik
 a.parser.feed,org.apache.tika.parser.font,org.apache.tika.parser.gdal
 ,org.apache.tika.parser.geo.topic,org.apache.tika.parser.geo.topic.ga
 zetteer,org.apache.tika.parser.geoinfo,org.apache.tika.parser.grib,or
 g.apache.tika.parser.hdf,org.apache.tika.parser.html,org.apache.tika.
 parser.html.charsetdetector,org.apache.tika.parser.html.charsetdetect
 or.charsets,org.apache.tika.parser.hwp,org.apache.tika.parser.image,o
 rg.apache.tika.parser.image.xmp,org.apache.tika.parser.indesign,org.a
 pache.tika.parser.indesign.xmp,org.apache.tika.parser.internal,org.ap
 ache.tika.parser.iptc,org.apache.tika.parser.isatab,org.apache.tika.p
 arser.iwork,org.apache.tika.parser.iwork.iwana,org.apache.tika.parser
 .jdbc,org.apache.tika.parser.journal,org.apache.tika.parser.jpeg,org.
 apache.tika.parser.mail,org.apache.tika.parser.mat,org.apache.tika.pa
 rser.mbox,org.apache.tika.parser.microsoft,org.apache.tika.parser.mic
 rosoft.onenote,org.apache.tika.parser.microsoft.ooxml,org.apache.tika
 .parser.microsoft.ooxml.xps,org.apache.tika.parser.microsoft.ooxml.xs
 lf,org.apache.tika.parser.microsoft.ooxml.xwpf,org.apache.tika.parser
 .microsoft.ooxml.xwpf.ml2006,org.apache.tika.parser.microsoft.xml,org
 .apache.tika.parser.mif,org.apache.tika.parser.mp3,org.apache.tika.pa
 rser.mp4,org.apache.tika.parser.ner,org.apache.tika.parser.ner.corenl
 p,org.apache.tika.parser.ner.grobid,org.apache.tika.parser.ner.mitie,
 org.apache.tika.parser.ner.nltk,org.apache.tika.parser.ner.opennlp,or
 g.apache.tika.parser.ner.regex,org.apache.tika.parser.netcdf,org.apac
 he.tika.parser.ocr,org.apache.tika.parser.odf,org.apache.tika.parser.
 opendocument,org.apache.tika.parser.pdf,org.apache.tika.parser.pkg,or
 g.apache.tika.parser.pot,org.apache.tika.parser.prt,org.apache.tika.p
 arser.recognition,org.apache.tika.parser.recognition.tf,org.apache.ti
 ka.parser.rtf,org.apache.tika.parser.sas,org.apache.tika.parser.senti
 ment,org.apache.tika.parser.strings,org.apache.tika.parser.txt,org.ap
 ache.tika.parser.utils,org.apache.tika.parser.video,org.apache.tika.p
 arser.wordperfect,org.apache.tika.parser.xliff,org.apache.tika.parser
 .xml,org.apache.xmlbeans,org.apache.xmlbeans.impl.common,org.apache.x
 mlbeans.impl.config,org.apache.xmlbeans.impl.inst2xsd,org.apache.xmlb
 eans.impl.inst2xsd.util,org.apache.xmlbeans.impl.jam,org.apache.xmlbe
 ans.impl.jam.annotation,org.apache.xmlbeans.impl.jam.internal,org.apa
 che.xmlbeans.impl.jam.internal.classrefs,org.apache.xmlbeans.impl.jam
 .internal.elements,org.apache.xmlbeans.impl.jam.internal.javadoc,org.
 apache.xmlbeans.impl.jam.internal.parser,org.apache.xmlbeans.impl.jam
 .internal.reflect,org.apache.xmlbeans.impl.jam.mutable,org.apache.xml
 beans.impl.jam.provider,org.apache.xmlbeans.impl.jam.visitor,org.apac
 he.xmlbeans.impl.jam.xml,org.apache.xmlbeans.impl.regex,org.apache.xm
 lbeans.impl.richParser,org.apache.xmlbeans.impl.schema,org.apache.xml
 beans.impl.soap,org.apache.xmlbeans.impl.store,org.apache.xmlbeans.im
 pl.tool,org.apache.xmlbeans.impl.util,org.apache.xmlbeans.impl.valida
 tor,org.apache.xmlbeans.impl.values,org.apache.xmlbeans.impl.xb.ltgfm
 t,org.apache.xmlbeans.impl.xb.ltgfmt.impl,org.apache.xmlbeans.impl.xb
 .substwsdl,org.apache.xmlbeans.impl.xb.substwsdl.impl,org.apache.xmlb
 eans.impl.xb.xmlconfig,org.apache.xmlbeans.impl.xb.xmlconfig.impl,org
 .apache.xmlbeans.impl.xb.xmlschema,org.apache.xmlbeans.impl.xb.xmlsch
 ema.impl,org.apache.xmlbeans.impl.xb.xsdownload,org.apache.xmlbeans.i
 mpl.xb.xsdownload.impl,org.apache.xmlbeans.impl.xb.xsdschema,org.apac
 he.xmlbeans.impl.xb.xsdschema.impl,org.apache.xmlbeans.impl.xpathgen,
 org.apache.xmlbeans.impl.xsd2inst,org.apache.xmlbeans.soap,org.apache
 .xmlbeans.xml.stream,org.apache.xmlbeans.xml.stream.events,org.apache
 .xmlbeans.xml.stream.utils,repackage,schemaorg_apache_xmlbeans.attrib
 ute.http_3A_2F_2Fwww_2Ew3_2Eorg_2FXML_2F1998_2Fnamespace,schemaorg_ap
 ache_xmlbeans.attributegroup.http_3A_2F_2Fwww_2Ew3_2Eorg_2F2001_2FXML
 Schema,schemaorg_apache_xmlbeans.attributegroup.http_3A_2F_2Fwww_2Ew3
 _2Eorg_2FXML_2F1998_2Fnamespace,schemaorg_apache_xmlbeans.element.URI
 _SHA_1_0072531D5C2BA64B5A3672B694CDAA153CD30788,schemaorg_apache_xmlb
 eans.element.URI_SHA_1_5AAF5BEFD4F30D215E94ED53118FE32C537C3B26,schem
 aorg_apache_xmlbeans.element.http_3A_2F_2Fwww_2Ebea_2Ecom_2F2003_2F01
 _2Fxmlbean_2Fxsdownload,schemaorg_apache_xmlbeans.element.http_3A_2F_
 2Fwww_2Ebea_2Ecom_2F2003_2F05_2Fxmlbean_2Fltgfmt,schemaorg_apache_xml
 beans.element.http_3A_2F_2Fwww_2Ew3_2Eorg_2F2001_2FXMLSchema,schemaor
 g_apache_xmlbeans.identityconstraint.http_3A_2F_2Fwww_2Ew3_2Eorg_2F20
 01_2FXMLSchema,schemaorg_apache_xmlbeans.javaname.org.apache.xmlbeans
 .impl.xb.ltgfmt,schemaorg_apache_xmlbeans.javaname.org.apache.xmlbean
 s.impl.xb.ltgfmt.FileDesc,schemaorg_apache_xmlbeans.javaname.org.apac
 he.xmlbeans.impl.xb.ltgfmt.TestCase,schemaorg_apache_xmlbeans.javanam
 e.org.apache.xmlbeans.impl.xb.ltgfmt.TestsDocument,schemaorg_apache_x
 mlbeans.javaname.org.apache.xmlbeans.impl.xb.substwsdl,schemaorg_apac
 he_xmlbeans.javaname.org.apache.xmlbeans.impl.xb.substwsdl.Definition
 sDocument,schemaorg_apache_xmlbeans.javaname.org.apache.xmlbeans.impl
 .xb.xmlconfig,schemaorg_apache_xmlbeans.javaname.org.apache.xmlbeans.
 impl.xb.xmlconfig.ConfigDocument,schemaorg_apache_xmlbeans.javaname.o
 rg.apache.xmlbeans.impl.xb.xmlconfig.Extensionconfig,schemaorg_apache
 _xmlbeans.javaname.org.apache.xmlbeans.impl.xb.xmlconfig.JavaNameList
 ,schemaorg_apache_xmlbeans.javaname.org.apache.xmlbeans.impl.xb.xmlco
 nfig.NamespaceList,schemaorg_apache_xmlbeans.javaname.org.apache.xmlb
 eans.impl.xb.xmlconfig.NamespaceList.Member2,schemaorg_apache_xmlbean
 s.javaname.org.apache.xmlbeans.impl.xb.xmlconfig.NamespaceList.Member
 2.Item,schemaorg_apache_xmlbeans.javaname.org.apache.xmlbeans.impl.xb
 .xmlschema,schemaorg_apache_xmlbeans.javaname.org.apache.xmlbeans.imp
 l.xb.xmlschema.SpaceAttribute,schemaorg_apache_xmlbeans.javaname.org.
 apache.xmlbeans.impl.xb.xsdownload,schemaorg_apache_xmlbeans.javaname
 .org.apache.xmlbeans.impl.xb.xsdownload.DownloadedSchemasDocument,sch
 emaorg_apache_xmlbeans.javaname.org.apache.xmlbeans.impl.xb.xsdschema
 ,schemaorg_apache_xmlbeans.javaname.org.apache.xmlbeans.impl.xb.xsdsc
 hema.All,schemaorg_apache_xmlbeans.javaname.org.apache.xmlbeans.impl.
 xb.xsdschema.AllNNI,schemaorg_apache_xmlbeans.javaname.org.apache.xml
 beans.impl.xb.xsdschema.AnnotationDocument,schemaorg_apache_xmlbeans.
 javaname.org.apache.xmlbeans.impl.xb.xsdschema.AnyDocument,schemaorg_
 apache_xmlbeans.javaname.org.apache.xmlbeans.impl.xb.xsdschema.Appinf
 oDocument,schemaorg_apache_xmlbeans.javaname.org.apache.xmlbeans.impl
 .xb.xsdschema.Attribute,schemaorg_apache_xmlbeans.javaname.org.apache
 .xmlbeans.impl.xb.xsdschema.BlockSet,schemaorg_apache_xmlbeans.javana
 me.org.apache.xmlbeans.impl.xb.xsdschema.BlockSet.Member2,schemaorg_a
 pache_xmlbeans.javaname.org.apache.xmlbeans.impl.xb.xsdschema.Complex
 ContentDocument,schemaorg_apache_xmlbeans.javaname.org.apache.xmlbean
 s.impl.xb.xsdschema.DerivationSet,schemaorg_apache_xmlbeans.javaname.
 org.apache.xmlbeans.impl.xb.xsdschema.DocumentationDocument,schemaorg
 _apache_xmlbeans.javaname.org.apache.xmlbeans.impl.xb.xsdschema.Field
 Document,schemaorg_apache_xmlbeans.javaname.org.apache.xmlbeans.impl.
 xb.xsdschema.FieldDocument.Field,schemaorg_apache_xmlbeans.javaname.o
 rg.apache.xmlbeans.impl.xb.xsdschema.FullDerivationSet,schemaorg_apac
 he_xmlbeans.javaname.org.apache.xmlbeans.impl.xb.xsdschema.ImportDocu
 ment,schemaorg_apache_xmlbeans.javaname.org.apache.xmlbeans.impl.xb.x
 sdschema.IncludeDocument,schemaorg_apache_xmlbeans.javaname.org.apach
 e.xmlbeans.impl.xb.xsdschema.KeyrefDocument,schemaorg_apache_xmlbeans
 .javaname.org.apache.xmlbeans.impl.xb.xsdschema.ListDocument,schemaor
 g_apache_xmlbeans.javaname.org.apache.xmlbeans.impl.xb.xsdschema.Name
 dGroup,schemaorg_apache_xmlbeans.javaname.org.apache.xmlbeans.impl.xb
 .xsdschema.NamespaceList,schemaorg_apache_xmlbeans.javaname.org.apach
 e.xmlbeans.impl.xb.xsdschema.NamespaceList.Member2,schemaorg_apache_x
 mlbeans.javaname.org.apache.xmlbeans.impl.xb.xsdschema.NamespaceList.
 Member2.Item,schemaorg_apache_xmlbeans.javaname.org.apache.xmlbeans.i
 mpl.xb.xsdschema.NarrowMaxMin,schemaorg_apache_xmlbeans.javaname.org.
 apache.xmlbeans.impl.xb.xsdschema.NotationDocument,schemaorg_apache_x
 mlbeans.javaname.org.apache.xmlbeans.impl.xb.xsdschema.PatternDocumen
 t,schemaorg_apache_xmlbeans.javaname.org.apache.xmlbeans.impl.xb.xsds
 chema.RedefineDocument,schemaorg_apache_xmlbeans.javaname.org.apache.
 xmlbeans.impl.xb.xsdschema.RestrictionDocument,schemaorg_apache_xmlbe
 ans.javaname.org.apache.xmlbeans.impl.xb.xsdschema.SchemaDocument,sch
 emaorg_apache_xmlbeans.javaname.org.apache.xmlbeans.impl.xb.xsdschema
 .SelectorDocument,schemaorg_apache_xmlbeans.javaname.org.apache.xmlbe
 ans.impl.xb.xsdschema.SelectorDocument.Selector,schemaorg_apache_xmlb
 eans.javaname.org.apache.xmlbeans.impl.xb.xsdschema.SimpleContentDocu
 ment,schemaorg_apache_xmlbeans.javaname.org.apache.xmlbeans.impl.xb.x
 sdschema.SimpleDerivationSet,schemaorg_apache_xmlbeans.javaname.org.a
 pache.xmlbeans.impl.xb.xsdschema.SimpleDerivationSet.Member2,schemaor
 g_apache_xmlbeans.javaname.org.apache.xmlbeans.impl.xb.xsdschema.Tota
 lDigitsDocument,schemaorg_apache_xmlbeans.javaname.org.apache.xmlbean
 s.impl.xb.xsdschema.UnionDocument,schemaorg_apache_xmlbeans.javaname.
 org.apache.xmlbeans.impl.xb.xsdschema.UnionDocument.Union,schemaorg_a
 pache_xmlbeans.javaname.org.apache.xmlbeans.impl.xb.xsdschema.WhiteSp
 aceDocument,schemaorg_apache_xmlbeans.javaname.org.apache.xmlbeans.im
 pl.xb.xsdschema.WhiteSpaceDocument.WhiteSpace,schemaorg_apache_xmlbea
 ns.javaname.org.apache.xmlbeans.impl.xb.xsdschema.Wildcard,schemaorg_
 apache_xmlbeans.modelgroup.http_3A_2F_2Fwww_2Ew3_2Eorg_2F2001_2FXMLSc
 hema,schemaorg_apache_xmlbeans.namespace.URI_SHA_1_0072531D5C2BA64B5A
 3672B694CDAA153CD30788,schemaorg_apache_xmlbeans.namespace.URI_SHA_1_
 5AAF5BEFD4F30D215E94ED53118FE32C537C3B26,schemaorg_apache_xmlbeans.na
 mespace.http_3A_2F_2Fwww_2Ebea_2Ecom_2F2003_2F01_2Fxmlbean_2Fxsdownlo
 ad,schemaorg_apache_xmlbeans.namespace.http_3A_2F_2Fwww_2Ebea_2Ecom_2
 F2003_2F05_2Fxmlbean_2Fltgfmt,schemaorg_apache_xmlbeans.namespace.htt
 p_3A_2F_2Fwww_2Ew3_2Eorg_2F2001_2FXMLSchema,schemaorg_apache_xmlbeans
 .namespace.http_3A_2F_2Fwww_2Ew3_2Eorg_2FXML_2F1998_2Fnamespace,schem
 aorg_apache_xmlbeans.src,schemaorg_apache_xmlbeans.system.sXMLCONFIG,
 schemaorg_apache_xmlbeans.system.sXMLLANG,schemaorg_apache_xmlbeans.s
 ystem.sXMLSCHEMA,schemaorg_apache_xmlbeans.system.sXMLTOOLS,schemaorg
 _apache_xmlbeans.type.URI_SHA_1_0072531D5C2BA64B5A3672B694CDAA153CD30
 788,schemaorg_apache_xmlbeans.type.URI_SHA_1_5AAF5BEFD4F30D215E94ED53
 118FE32C537C3B26,schemaorg_apache_xmlbeans.type.http_3A_2F_2Fwww_2Ebe
 a_2Ecom_2F2003_2F01_2Fxmlbean_2Fxsdownload,schemaorg_apache_xmlbeans.
 type.http_3A_2F_2Fwww_2Ebea_2Ecom_2F2003_2F05_2Fxmlbean_2Fltgfmt,sche
 maorg_apache_xmlbeans.type.http_3A_2F_2Fwww_2Ew3_2Eorg_2F2001_2FXMLSc
 hema,org.ccil.cowan.tagsoup,org.ccil.cowan.tagsoup.jaxp,org.gagravarr
 .flac,org.gagravarr.ogg,org.gagravarr.ogg.audio,org.gagravarr.opus,or
 g.gagravarr.skeleton,org.gagravarr.speex,org.gagravarr.theora,org.gag
 ravarr.vorbis,com.jmatio.common,com.jmatio.common.util,com.jmatio.io,
 com.jmatio.io.stream,com.jmatio.types
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .portal.kernel.metadata.RawMetadataProcessor";uses:="com.liferay.port
 al.kernel.metadata",osgi.service;objectClass:List<String>="com.lifera
 y.portal.kernel.util.MimeTypes";uses:="com.liferay.portal.kernel.util
 ",osgi.service;objectClass:List<String>="com.liferay.portal.kernel.ut
 il.TextExtractor";uses:="com.liferay.portal.kernel.util"
Require-Capability: osgi.service;filter:="(objectClass=com.liferay.pet
 ra.process.ProcessExecutor)";effective:=active,osgi.extender;filter:=
 "(&(osgi.extender=osgi.component)(version>=1.4.0)(!(version>=2.0.0)))
 ",osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.portal.tika.internal.extract.T
 extExtractorImpl.xml,OSGI-INF/com.liferay.portal.tika.internal.metada
 ta.TikaRawMetadataProcessor.xml,OSGI-INF/com.liferay.portal.tika.inte
 rnal.mime.MimeTypesImpl.xml
Tool: Bnd-4.3.0.201909301554

